mjb4 mjb4 - 3 months ago 16
Python Question

Switch Python Version for Vim & Syntastic

Is it possible to change the python version used by syntastic for syntax checking?

As the Issue https://github.com/scrooloose/syntastic/issues/385 indicates I could use virtual-env. But is it also possible just with syntastic or vim commands?

Answer

From the Syntastic repository README:

Q. The python checker complains about syntactically valid Python 3 constructs...

A. Configure the python checker to call a Python 3 interpreter rather than Python 2, e.g:

let g:syntastic_python_python_exec = '/path/to/python3'

Add that line to your .vimrc - that should fix your problem.